OSSIM-IMG2RR(1)

NAME
ossim-img2rr - ossim-img2rr

SYNOPSIS
ossim-img2rr [options] <input file>

DESCRIPTION
MPI running with 1 processors...

Description: ossim-img2rr Creates overviews and optionally a histogram for the passed in image.

OPTIONS

--compression-quality
    Compression quality varies from 0 to 100, where 100 is best. Currently only for JPEG compression

--compression-type
    Compression type can be: NONE, JPEG, PACKBITS, or DEFLATE

--create-histogram
    Computes full histogram alongside overview.

--create-histogram-fast
    Computes a histogram in fast mode which samples partial tiles.

--create-mask
    Computes and writes out an alpha mask to a separate .mask file.

--disable-elev
    Will disable the elevation

--disable-notify
    Takes an argument. Arguments are ALL, WARN, NOTICE, INFO, FATAL, DEBUG. If you want multiple disables then just do multiple --disable-notify on the command line. All argument are case insensitive. Default is all are enabled.

--disable-plugin
    Will disable the plugin loader

--histogram-bins
    Number of histogram bins. This will override the default for scalar type. Also this will force a separate pass.

--histogram-max
    Maximum histogram value to use. This will override the default for scalar type. Also this will force a separate pass.

--histogram-min
    Minimum histogram value to use. This will override the default for scalar type. Also this will force a separate pass.

--histogram-r0
    Forces create-histogram code to compute a histogram using r0 instead of the starting resolution for the overview. Requires a separate pass of R0 layer.

--list-entries
    Lists the entries within the image

--mask-mode <mode>
    Specifies how to treat multi-band imagery when determining whether pixel will be masked according to the defined target value or range. Possible modes are: "mask_full_and_partial_targets" (default) | "mask_only_full_targets".

--mask-range <min> <max>
    Specifies the range of pixels to target for masking out.

--mask-value <target>
    Specifies the unique pixel value to target for masking out.

--ossim-logfile
    takes a logfile as an argument. All output messages are redirected to the specified log file. By default there is no log file and all messages are enabled.

--scanForMinMax
    Turns on min, max scanning when reading tiles. This option assumes the null is known.

--scanForMinMaxNull
    Turns on min, max, null scanning when reading tiles. This option tries to find a null value which is useful for float data.

--set-property
    key:value NOTE: separate key value by a colon. Deprecated, use --writer-prop instead.

--tile-size
    Defines the tile size for the supported overview handler.

--version
    Outputs version information.

--writer-prop
    Adds a property to send to the writer. format is name=value

-K  specify individual keywords to add to the preferences keyword list: name=value

-P  specify a preference file to load

-T  specify the classes to trace, ex: ossimInit|ossimImage.* will trace ossimInit and all ossimImage classes

-a or --include-fullres
    Wants to include full res dataset as well as reduced res sets.

-d  Write overview to directory specified.

-e or --entry
    Give the entry(zero based) to build an overview for.

-h or --help
    Shows help

-o  Write overview to file specified. If used on a multi-entry file, given "foo.ovr" you willget: "foo_e0.ovr"

-r or --rebuild
    Rebuild overviews even if they are already present.

-s  Stop dimension for overviews. This controls how many layers will be built. If set to 64 then the builder will stop when height and width for current level are less than or equal to 64. Note a default can be set in the ossim preferences file, setting the keyword "overview_stop_dimension".

-t or --type
    see list at bottom for valid types. (default = ossim_tiff_box)

Valid overview types: ossim_tiff_box ossim_tiff_nearest

Example command building j2k overviews with a histogram removing/overwriting any existing overviews:

ossim-img2rr -r -t ossim_kakadu_nitf_j2k --create-histogram image.tif

SEE ALSO
The full documentation for ossim-img2rr is maintained as a Texinfo manual. If the info and ossim-img2rr programs are properly installed at your site, the command

    info ossim-img2rr

should give you access to the complete manual.